<?php
/* 
Plugin Name: WP Hallo Welt
Version: 0.2
Plugin URI: http://www.wieser.at/wordpress/plugins
Description: Hallo Welt als Wordpress Plugin. Shortcode für Artikel und Seite [hw] - Sidebarwidget - Dashboard Menü und Seite
Author: Franz Wieser
Author URI: http://www.wieser.at
Licenc:  GPLv2
*/ 
function hallo_welt_shortcode($atts)
{
  return "<h2>Hallo in der Wordpress Welt</h2>";
}
add_shortcode('hw', 'hallo_welt_shortcode');

function hallo_welt_sidebarwidget()
{
global $current_user;
   echo '<h3 class="widget-title">Hallo Welt</h3>';
   echo '<ul><li>hallo '.$current_user->display_name;
   echo ' in der Wordpress Welt</li></ul>';

}

function hallo_welt_widget_init()
{
   register_sidebar_widget(__('Hallo Welt'), 'hallo_welt_sidebarwidget');
}
add_action("plugins_loaded", "hallo_welt_widget_init");


function hallo_welt_seite()
{
global $current_user;
   echo '<div class="wrap">';
   echo '<H3>Hallo Welt</H3>';
   echo 'Hallo '.$current_user->display_name.' in der Wordpress Welt</p>';
   
   echo '- Shortcode - [ hw ] (ohne Leerzeichen) in deinem Artikel oder in deiner Seite eintragen<br/>';
   echo '- Sidebarwidget - im Dashboard - Design - Widget verwenden<br/>';
   echo '- Dashboard Menü - Hallo Welt mit Dashboard Seite (diese Seite)<p/>';
   echo 'weiter zu meinen Wordpress Plugins <a href="http://www.wieser.at/wordpress/plugins">Wieser Plugins</a>';
   echo '</div>';
	
}

function hallo_welt_plugin_menu()
{
add_menu_page('hallo welt', 'Hallo Welt', 'read', 'hallowelt', 'hallo_welt_seite');
}

add_action('admin_menu', 'hallo_welt_plugin_menu');
?>